低危 Python 安全漏洞

CVE编号

CVE-2019-20907

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-07-14
漏洞描述
Python是Python软件基金会的一套开源的、面向对象的程序设计语言。该语言具有可扩展、支持模块和包、支持多种平台等特点。
Python 3.8.3及之前版本中的Lib/tarfile.py文件存在安全漏洞,该漏洞源于_proc_pax缺少标头验证。攻击者可借助TAR归档文件利用该漏洞导致无限循环。

解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://github.com/python/cpython/pull/21454
参考链接
http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00051.html
http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00052.html
http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00053.html
http://lists.opensuse.org/opensuse-security-announce/2020-08/msg00056.html
https://bugs.python.org/issue39017
https://github.com/python/cpython/pull/21454
https://lists.debian.org/debian-lts-announce/2020/08/msg00034.html
https://lists.debian.org/debian-lts-announce/2020/11/msg00032.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://security.gentoo.org/glsa/202008-01
https://security.netapp.com/advisory/ntap-20200731-0002/
https://usn.ubuntu.com/4428-1/
https://www.oracle.com/security-alerts/cpujan2021.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netapp active_iq_unified_manager * From
(including)
9.5
运行在以下环境
应用 netapp cloud_volumes_ontap_mediator - -
运行在以下环境
应用 python python * Up to
(excluding)
3.7.9
运行在以下环境
系统 alibaba_cloud_linux_2.1903 python * Up to
(excluding)
2.7.5-90.1.al7
运行在以下环境
系统 alpine_3.12 python * Up to
(excluding)
3.8.5-r0
运行在以下环境
系统 alpine_3.13 python * Up to
(excluding)
3.8.5-r0
运行在以下环境
系统 alpine_3.14 python * Up to
(excluding)
3.8.5-r0
运行在以下环境
系统 alpine_3.15 python * Up to
(excluding)
3.8.5-r0
运行在以下环境
系统 alpine_3.16 python * Up to
(excluding)
3.8.5-r0
运行在以下环境
系统 alpine_edge python * Up to
(excluding)
3.8.5-r0
运行在以下环境
系统 amazon_2 python * Up to
(excluding)
2.7.18-1.amzn2.0.2
运行在以下环境
系统 amazon_AMI python * Up to
(excluding)
2.7.18-2.139.amzn1
运行在以下环境
系统 centos_7 python * Up to
(excluding)
2.7.5-90.el7
运行在以下环境
系统 centos_8 python * Up to
(excluding)
3.6.8-31.el8
运行在以下环境
系统 debian_10 python * Up to
(including)
2.7.16-2+deb10u1
运行在以下环境
系统 debian_11 python * Up to
(including)
2.7.18-1
运行在以下环境
系统 debian_9 python * Up to
(excluding)
2.7.13-2+deb9u4
运行在以下环境
系统 debian_sid python * Up to
(including)
2.7.18-1
运行在以下环境
系统 fedora_31 python * Up to
(excluding)
3.8.5-1.fc31
运行在以下环境
系统 fedora_32 python * Up to
(excluding)
3.9.0~b5-1.fc32
运行在以下环境
系统 fedora_33 python * Up to
(excluding)
3.5.9-9.fc33
运行在以下环境
系统 fedora_34 python * Up to
(excluding)
3.5.9-9.fc34
运行在以下环境
系统 fedora_EPEL_7 python * Up to
(excluding)
3.4.10-6.el7
运行在以下环境
系统 opensuse_Leap_15.1 python * Up to
(excluding)
3.6.10-lp151.6.24.1
运行在以下环境
系统 opensuse_Leap_15.2 python * Up to
(excluding)
2.7.17-lp152.3.3.1
运行在以下环境
系统 oracle_7 python * Up to
(excluding)
2.7.5-90.0.1.el7
运行在以下环境
系统 oracle_8 python * Up to
(excluding)
3.6.8-31.0.1.el8
运行在以下环境
系统 redhat_7 python * Up to
(excluding)
0:2.7.5-90.el7
运行在以下环境
系统 redhat_8 python * Up to
(excluding)
3.6.8-31.el8
运行在以下环境
系统 suse_12_SP5 python * Up to
(excluding)
3.6.10-4.17.1
运行在以下环境
系统 ubuntu_14.04 python * Up to
(excluding)
3.4.3-1ubuntu1~14.04.7+esm7
运行在以下环境
系统 ubuntu_16.04 python * Up to
(excluding)
3.5.2-2ubuntu0~16.04.11
运行在以下环境
系统 ubuntu_16.04.7_lts python2.7 * Up to
(excluding)
2.7.12-1ubuntu0~16.04.12
运行在以下环境
系统 ubuntu_18.04 python * Up to
(excluding)
3.7.5-2~18.04.4
运行在以下环境
系统 ubuntu_18.04.5_lts python2.7 * Up to
(excluding)
2.7.17-1~18.04ubuntu1.1
运行在以下环境
系统 ubuntu_20.04 python * Up to
(excluding)
3.8.2-1ubuntu1.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
CWE-835 不可达退出条件的循环(无限循环)
阿里云安全产品覆盖情况